create_inductor

NexximComponents.create_inductor(compname=None, value=50, location=[], angle=0, use_instance_id_netlist=False)[source]

Create an inductor.

Parameters
compnamestr, optional

Name of the inductor. The default is None.

valuefloat, optional

Inductance value. The default is 50.

locationlist of float, optional

Position on the X axis and Y axis.

anglefloat, optional

Angle rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list. The default is False.

Returns
pyaedt.modeler.Object3d.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent